#version 430

uniform mat4 cam_mat;
uniform vec2 dims[2];
layout(location=0) in vec3 vtx_Pos;
smooth out vec2 frag_TexCoord;

void main(void) {
	vec4 vtx = vec4(mix(dims[0], dims[1], vtx_Pos.xy), 0.0, 1.0);
	frag_TexCoord = vec2(vtx_Pos.xy);

	gl_Position = cam_mat * vtx;
}
